class AnnouncementFeed
  include Mongoid::Document
  include Mongoid::Timestamps

  field :link, type: String
  field :name, type: String
  field :categories, type: Array
  field :accepted, type: Boolean, default: false
  field :from_request, type: Boolean, default: false
  field :from_request_link, type: String

  validates :categories, presence: true
end