module Feed
  class Engine < Rails::Engine
    initializer "feed" do
      OrbitApp.registration "Feed",:type=> 'ModuleApp' do
        module_label 'feed.feed'
        base_url File.expand_path File.dirname(__FILE__)    
        # personal_plugin :enable => true,:path=>"panel/location/plugin/profile",:i18n=>'admin.location'
        
         version "0.1"
         organization "Rulingcom"
         author "RulingDigital"
         intro "Orbit Feed Module"
         update_info 'some update_info'
         #enable_frontend true

        categorizable
        authorizable   
        
         side_bar do
           head_label_i18n  'feed.channel', :icon_class=>"icon-plus"
           available_for [:admin, :guest, :manager, :sub_manager]
           active_for_controllers( {:private => ['feeds']} )

           head_link_path "panel_feed_back_end_feeds_path"

        end
      end
    end
  end
end