# encoding: utf-8
class Panel::Feed::BackEnd::FeedRequestsController < OrbitBackendController

  skip_before_filter :verify_authenticity_token
  open_for_visitor :only => [:transferred_request, :accepted_request]

  def transferred_request
    if request.headers["HTTP_X_AUTH_TOKEN"] == '3kjlfksjDFJ'
      permission_feed = AnnouncementFeed.new(
        link: params['link'],
        name: params['name'],
        categories: params['categories'].split,
        from_request: true,
        from_request_link: params['from_host'])
      
      permission_feed.save!

      render :nothing => true
    else
      render :status => 500 
    end
  end
  
  def accepted_request
    if request.headers["HTTP_X_AUTH_TOKEN"] == '3kjlfksjDFJ'
      accepted_feed = AnnouncementFeed.where({name: params['name'], link: params['link'], categories: params['categories'].split}).first
      accepted_feed.update_attributes({accepted: true})

      render :nothing => true
    else
      render :status => 500 
    end
  end
end