Rails.application.routes.draw do
  namespace :panel do
    namespace :feed do
      namespace :back_end do 
        resources :feeds do
          collection do
    		    post "/:id/agree" => "feeds#agree", :as => 'agree'
          end
	      end

        post "feed_requests/transferred_request" => "feed_requests#transferred_request", :as => 'transferred_request'
        post "feed_requests/accepted_request" => "feed_requests#accepted_request", :as => 'accepted_request'
      end
    end
  end
end
